#!/bin/sh
# this script will initialize settings in ~/.xmms/config
# so that they play well with Cyrillic tags and rusxmms;
# needs some XFree86-cyr_rfx-fonts-koi8-* package

# by Michael Shigorin <mike@altlinux.org> for xmms-1.2.8-alt3+

XMMSDIR="$HOME/.xmms"
CONFIG="$XMMSDIR/config"
PIPE="$XMMSDIR/xmms_$USER.0"
COMMAND="/usr/bin/soundwrapper /usr/bin/xmms"

runxmms() {
	[ -z "$XMMS_CYR_SOURCE" ] && exec $COMMAND "$@"
}

[ -e "$CONFIG" ] && runxmms "$@"

FONTDIR_R="/usr/X11R6/lib/X11/fonts/koi8-r/75dpi"
BIGFONT_R="-rfx-helvetica-bold-r-normal-*-*-100-*-*-p-*-koi8-r"
SMALLFONT_R="-rfx-helvetica-medium-r-normal-*-*-80-*-*-p-*-koi8-r"

FONTDIR_UB="/usr/X11R6/lib/X11/fonts/koi8-u/75dpi"
BIGFONT_UB="-rfx_koi8_ub-helvetica-bold-r-normal-*-*-100-*-*-p-*-koi8-ub"
SMALLFONT_UB="-rfx_koi8_ub-helvetica-medium-r-normal-*-*-80-*-*-p-*-koi8-ub"

MAINWIN_USE_XFONT="TRUE"
AUTOCHARSET="1"

case "$LC_CTYPE" in
	be_BY*|ru_RU*|uk_UA*)
		[ -d "$FONTDIR_R" ] && {
			BIGFONT="$BIGFONT_R"
			SMALLFONT="$SMALLFONT_R"
		}
		[ -d "$FONTDIR_UB" ] && {
			BIGFONT="$BIGFONT_UB"
			SMALLFONT="$SMALLFONT_UB"
		}
		;;
	*)
		runxmms "$@";;
esac
	
[ -e "$CONFIG" ] || { 
	echo "$0: init $CONFIG for $LC_CTYPE"
	mkdir -p "$XMMSDIR" && \
	cat >> "$CONFIG" << __EOF__
[xmms]
playlist_font=$BIGFONT
mainwin_font=$SMALLFONT
shade_font=$SMALLFONT
mainwin_use_xfont=$MAINWIN_USE_XFONT
autocharset=$AUTOCHARSET
autocharset_fs=$AUTOCHARSET
__EOF__
	XMMS_CYR_CREATED="true"
}

runxmms "$@"
